VirtualBox Main API

Public Attributes | List of all members
IGuestMultiTouchEvent Interface Reference

Notification when guest touch screen event happens. More...

Inheritance diagram for IGuestMultiTouchEvent:

## Public Attributes
readonly attribute long | contactCount
| Number of contacts in the event. More...
readonly attribute short [] | xPositions
| X positions. More...
readonly attribute short [] | yPositions
| Y positions. More...
readonly attribute unsigned short [] | contactIds
| Contact identifiers. More...
readonly attribute unsigned short [] | contactFlags
| Contact state. More...
readonly attribute unsigned long | scanTime
| Timestamp of the event in milliseconds. More...
Public Attributes inherited from IEvent
readonly attribute VBoxEventType | type
| Event type. More...
readonly attribute IEventSource | source
| Source of this event. More...
readonly attribute boolean | waitable
| If we can wait for this event being processed. More...

## Additional Inherited Members
Public Member Functions inherited from IEvent
void | setProcessed ()
| Internal method called by the system when all listeners of a particular event have called IEventSource::eventProcessed. More...
void | waitProcessed (in long timeout, [retval] out boolean result)
| Wait until time outs, or this event is processed. More...

## Detailed Description

Notification when guest touch screen event happens.

Interface ID:
  `{BE8A0EB5-F4F4-4DD0-9D30-C89B873247EC}`

## Member Data Documentation

## ◆ contactCount

readonly attribute long IGuestMultiTouchEvent::contactCount

Number of contacts in the event.

## ◆ xPositions

readonly attribute short [] IGuestMultiTouchEvent::xPositions

X positions.

## ◆ yPositions

readonly attribute short [] IGuestMultiTouchEvent::yPositions

Y positions.

## ◆ contactIds

readonly attribute unsigned short [] IGuestMultiTouchEvent::contactIds

Contact identifiers.

## ◆ contactFlags

readonly attribute unsigned short [] IGuestMultiTouchEvent::contactFlags

Contact state.

Bit 0: in contact. Bit 1: in range.

## ◆ scanTime

readonly attribute unsigned long IGuestMultiTouchEvent::scanTime

Timestamp of the event in milliseconds.

Only relative time between events is important.